
var MediaList={
	hunter:null,
	list:null,
	onLoad:function(){
		this.list = document.getElementById("netvideohunterMediaList");
		this.hunter = window.arguments[0];
		this.updateList()        
		if (this.hunter.mediaList.length>0 && document.getElementById("autoplay").getAttribute("checked")){
			this.insertPlayer(this.hunter.mediaList[this.hunter.mediaList.length-1].url)
		}else{
			//this.insertHome();
		}
		
	},

	updateList:function(){	
		//clear list
		while (this.list.childNodes.length > 0) {
			this.list.removeChild(this.list.childNodes[0]);
		}

		for (var x = 0; x < this.hunter.mediaList.length; x++) {		
			 
			var rli = document.createElement("richlistitem");			
			rli.setAttribute("mediaid",x);
			rli.setAttribute("type", "mediaitem");	
			rli.setAttribute("title", this.hunter.mediaList[x]['title']);
			rli.setAttribute("url", this.hunter.mediaList[x]['url']);
			
			this.list.appendChild(rli);
			
		}
	},

	clearList:function(){
		if(this.hunter)
			this.hunter.clearMediaList();
		this.updateList()
			this.insertHome()
	},
	performCommand:function (aCmd, aItem){
		if (!aItem) {
			aItem= this.list.selectedItem;
		} else {
			while ((aItem.nodeName != "richlistitem" || aItem.getAttribute("type") != "mediaitem") && aItem.parentNode){
                aItem = aItem.parentNode;
                
			}
		}
		var id=aItem.getAttribute("mediaid");
		if(aCmd=="download"){
			this.hunter.download(id)
		}
        if(aCmd=="downloadcache"){
			this.hunter.download(id,false)
		}
        if(aCmd=="openpage"){
			this.hunter.openPage(id)
		}
		if(aCmd=="play"){
			this.insertPlayer(this.hunter.mediaList[id].url);
		}	 
		if(aCmd=="copy"){
			this.copyURL(id)
		}	 
	},
	insertPlayer:function(url){		
		url=this.addQueryParam(url,'nvhnocache','1')
		url=encodeURIComponent(url)

		var player=document.getElementById("playerDiv")
		player.innerHTML="<html:embed width='100%' height='100%' flex='1' src='chrome://netvideohunter/content/NetMediaPlayer.swf' allowfullscreen='true' allowscriptaccess='always' flashvars='autostart=true&amp;showstop=true&amp;usefullscreen=true&amp;file="+url+"' visible='false'/>"
		player.setAttribute("style","display:block")

		var home=document.getElementById("homeBrowser")
		home.setAttribute("style","display:none")
		//box.setAttribute("style","overflow:hidden")
	},
	insertHome:function(){	
		var player=document.getElementById("playerDiv")
		player.setAttribute("style","display:none")
		var box=document.getElementById("homeBrowser")
		box.setAttribute("style","display:block")
	},

	addQueryParam:function(source,param,value){
	  if(source.indexOf("?")==-1){
		source+="?"
	  }
	  urlsplit=source.split("?")
	  urlsplit[1]+="&"+param+"="+value
	  return urlsplit.join("?")
	},
	copyURL:function(id){
		const gClipboardHelper = Components.classes["@mozilla.org/widget/clipboardhelper;1"].
                                    getService(Components.interfaces.nsIClipboardHelper);
		gClipboardHelper.copyString(this.hunter.mediaList[id].url);

	}
	
}
